Skip to main content
POST
Device Authorization Request

Query Parameters

client_id
string
required

OAuth 2.0 client-ID of the Relying Party.

com.uxpsystems.device_id
string

The device ID.

x-process-debug
string

Flag to enable generation of the debug data.

scope
string

The requested scopes

Response

OK

device_code
string
required

The device verification code.

Example:

"b8152b4e-941a-47e5-b1c3-3a84b597b057"

user_code
string
required

The end-user verification code.

Example:

"VV75TT"

verification_uri
string
required

The end-user verification URI on the authorization server. The URI should be short and easy to remember as end users will be asked to manually type it into their user agent.

Example:

"https://some.telco.io/oidc/device"

verification_uri_complete
string

A verification URI that includes the "user_code" (or other information with the same function as the "user_code"), which is designed for non-textual transmission.

expires_in
integer

The lifetime in seconds of the device_code and user_code.

Example:

300

interval
integer

The minimum amount of time in seconds that the client SHOULD wait between polling requests to the token endpoint. If no value is provided, clients MUST use 5 as the default.

Example:

10

ulm_details
object

A set of key/value pairs useful for storing additional information.

Example:

null